complexType "DividendPeriodDividend"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 6 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | unadjustedStartDate?, unadjustedEndDate?, dateAdjustments?, underlyerReference?, dividend?, multiplier?
</...>

Content Model Elements (6):

  dateAdjustments (defined in DividendPeriod complexType),
  dividend,
  multiplier (in dividendPeriod defined in DividendAdjustment complexType),
  unadjustedEndDate,
  unadjustedStartDate,
  underlyerReference (defined in DividendPeriod complexType)

All Direct / Indirect Based Elements (1):

  dividendPeriod (defined in DividendAdjustment complexType)

Known Usage Locations

- As direct type of elements (1):
  dividendPeriod (defined in DividendAdjustment complexType)

Annotation
A time bounded dividend period, with an expected dividend for each period.
Type Definition Detail

Type Derivation Tree DividendPeriod (extension) DividendPeriodDividend

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="DividendPeriodDividend"> <xsd:complexContent> <xsd:extension base="DividendPeriod"> <xsd:sequence> <xsd:element minOccurs="0" name="dividend" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="multiplier" type="PositiveDecimal"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/6)
dividend

  Type: | NonNegativeMoney, complex content

  Expected dividend in this period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividend" type="NonNegativeMoney"/>

multiplier

  Type: | PositiveDecimal, simple content

  Multiplier is a percentage value which is used to produce Deviation by multiplying the difference between Expected Dividend and Actual Dividend Deviation = Multiplier * (Expected Dividend — Actual Dividend).
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="multiplier" type="PositiveDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.